#
# Aeon Serpentine Missile
#
local AMissileSerpentineProjectile = import('/lua/aeonprojectiles.lua').AMissileSerpentineProjectile

AIFMissileSerpentine01 = Class(AMissileSerpentineProjectile) {
    OnCreate = function(self)
        AMissileSerpentineProjectile.OnCreate(self)
        self:SetCollisionShape('Sphere', 0, 0, 0, 2)
        #self.MoveThread = self:ForkThread(self.MovementThread)
    end,
	OnImpact = function(self)
		local proj = self:CreateProjectile('/effects/Entities/SCUDeath01/SCUDeath01_proj.bp', 0, 0, 0, nil, nil, nil)
		proj:PassDamageData(self.DamageData)
		self:Destroy()
	end,
}

TypeClass = AIFMissileSerpentine01